Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.client
Interface TCPIPClientGeneralInfoInterface

All Known Implementing Classes:
  TCPIPClientGeneralInfo

    public interface TCPIPClientGeneralInfoInterface

This class represents general TCPIP client configuration information.

Version:
  cvs revision: $Revision: 1.2 $ Last Modified: $Date: 2005/09/03 06:33:13 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Method Summary
`int` | `getMaxDataSize()` Returns the maxDataSize.
`java.lang.String` | `getScopeOfState()`
`boolean` | `isCollaborationScopeOfState()`
`boolean` | `isConnectionScopeOfState()`
`boolean` | `isOtdScopeOfState()`
`boolean` | `isPersistenceScopeOfState()`
`boolean` | `isResourceAdapterScopeOfState()`
`void` | `setMaxDataSize(int maxDataSize)` Sets the maxDataSize.

Field Detail

### version

    static final java.lang.String version

See Also:
  Constant Field Values

Method Detail

### getMaxDataSize

    int getMaxDataSize()

  Returns the maxDataSize. This size defines the max size of data which the programs can hold internally. The valid range is from 1 to 2GB (the max value of java integer).

  Returns:
    int

### setMaxDataSize

    void setMaxDataSize(int maxDataSize)
                        throws TCPIPApplicationException

  Sets the maxDataSize. This size defines the max size of data which the programs can hold internally. The valid range is from 1 to 2GB (the max value of java integer).

  Parameters:
    `maxDataSize` - The maxDataSize to set
  Throws:
    `TCPIPApplicationException` - on error

### isPersistenceScopeOfState

    boolean isPersistenceScopeOfState()

  Returns:

### isResourceAdapterScopeOfState

    boolean isResourceAdapterScopeOfState()

  Returns:

### isConnectionScopeOfState

    boolean isConnectionScopeOfState()

  Returns:

### isCollaborationScopeOfState

    boolean isCollaborationScopeOfState()

  Returns:

### isOtdScopeOfState

    boolean isOtdScopeOfState()

  Returns:

### getScopeOfState

    java.lang.String getScopeOfState()

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD